PDA

View Full Version : [CLOSED] Overriding existing mapping: 'plugin.rowexpander' From 'Ext.grid.plugin.RowExpander' to 'Ext.ux.RowExpander'.



matt
Jan 07, 2015, 7:22 PM
Low priority thread - just to confirm that everything is fine

Hi,

I am getting following warning:

Overriding existing mapping: 'plugin.rowexpander' From 'Ext.grid.plugin.RowExpander' to 'Ext.ux.RowExpander'. Is this intentional?

The warning is displayed only in debug mode when GridPanel is present.


<%@ Page Language="C#" %>
<!DOCTYPE html>

<html>
<head runat="server">
<title>Ext.NET v3 Example</title>
<script>

</script>
</head>
<body>
<form runat="server">
<ext:ResourceManager
runat="server"
ScriptMode="Debug"/>

<ext:GridPanel runat="server" />
</form>
</body>
</html>


Can I assume that was intentional ?

Thank you,

Daniil
Jan 08, 2015, 3:48 PM
Hi Matt,

Yes, please don't worry, this is intentional.

Though, this message also annoyed me before the moment when... I just stopped noticed that message:)

I will discuss with my colleague, maybe, we can use another alias to avoid this message.

Daniil
Jan 09, 2015, 8:16 AM
We have agreed to rename. Locally I renamed and added this breaking change item.


2. The RowExpander's "rowexpander" PType (the plugin alias in Javascript)
has been renamed to "netrowexpander". The "Ext.ux.RowExpander" InstaceOf
(the name of JavaScript class) has been renamed to "Ext.net.RowExpander".
This breaking change is only relevant if you use a RowExpander in
JavaScript directly. If you use the server RowExpander class, you don't
need to change anything.

I will be committing all the changes to SVN soon. There will be no that warning message anymore.

Daniil
Jan 18, 2015, 5:02 PM
The changes have been committed to the SVN trunk with ExtJS 5.1.0 update.

matt
Jan 18, 2015, 5:51 PM
I confirm, the warning is gone. Thanks